IntegrationsJira

Move an issue through a workflow transition by transition id or target status name, optionally with a comment and resolution

POST
/integrations/connections/{connection_id}/providers/jira/issues/transition

Move an issue through a workflow transition by transition id or target status name, optionally with a comment and resolution. Transitions with other required fields are not supported.

Authorization

bearerApiKey
AuthorizationBearer <token>

Create a scoped API key in the Adlass settings.

In: header

Path Parameters

connection_id*string

Resource identifier: connection_id.

Formatuuid

Header Parameters

X-Request-Id?string

Optional correlation identifier.

Lengthlength <= 128
Idempotency-Key*string

A unique key for this intended write. Reuse it only for an identical retry.

Length1 <= length <= 200

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X POST "https://example.com/integrations/connections/123e4567-e89b-42d3-a456-426614174000/providers/jira/issues/transition" \  -H "Idempotency-Key: 123e4567-e89b-42d3-a456-426614174000" \  -H "Content-Type: application/json" \  -d '{    "issue_key": "AA-0"  }'
{  "invocation_id": "123e4567-e89b-42d3-a456-426614174000",  "status": "ACTIVE",  "job_id": "example"}